Package ru.bitel.bgbilling.modules.hd.server.bean

# Class CPDomainManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.hd.server.bean.CPDomainManager

public class CPDomainManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPDomainManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `checkDomain(String packages, int cpid, String domain)`
  `void`
  `deleteDomain(int cpid)`
  `CPDomain`
  `getDomain(int cpid)`
  `void`
  `updateDomain(CPDomain domain)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CPDomainManager

    public CPDomainManager(Connection con, int moduleId)

- ## Method Details

  - ### getDomain

    public CPDomain getDomain(int cpid) throws SQLException
    Throws:
      `SQLException`

  - ### checkDomain

    public int checkDomain(String packages, int cpid, String domain) throws SQLException
    Throws:
      `SQLException`

  - ### deleteDomain

    public void deleteDomain(int cpid) throws SQLException
    Throws:
      `SQLException`

  - ### updateDomain

    public void updateDomain(CPDomain domain)